Unit Vector;

Interface

Procedure RestoreVecs;

Implementation

Uses
  DOS;

Var
  i21h, i10h, i9h, i14h, i1BH, i13h, i23h: Pointer;

Procedure RestoreVecs;
Begin
  SetIntVec ($21, i21h);
  SetIntVec ($23, i23h);
  SetIntVec ($10, i10h);
  SetIntVec ($09, i9h);
  SetIntVec ($14, i14h);
  SetIntVec ($1B, i1Bh);
  SetIntVec ($13, i13h);
End;

Begin
  GetIntVec ($21, i21h);
  GetIntVec ($23, i23h);
  GetIntVec ($10, i10h);
  GetIntVec ($09, i9h);
  GetIntVec ($14, i14h);
  GetIntVec ($1B, i1BH);
  GetIntVec ($13, i13h);
End.
